be.ehealth.businessconnector.genericasync.handlers

## Class SAMLHolderOfKeyHandler

- java.lang.Object
- - be.ehealth.technicalconnector.handler.AbstractSOAPHandler
  - - be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler
    - - be.ehealth.businessconnector.genericasync.handlers.SAMLHolderOfKeyHandler

- All Implemented Interfaces:
    Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

      public class SAMLHolderOfKeyHandler
      extends AbstractWsSecurityHandler

  SOAPHandler used to contanct the MyCarenet Async webservice. The message body is not signed because the message integrity is provided by the embeded xades.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

      `AbstractWsSecurityHandler.SignedParts, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4`

  - ### Field Summary

    - ### Fields inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

      `PROP_WSSECHEADER_GENERATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLHolderOfKeyHandler()`
    `SAMLHolderOfKeyHandler(SAMLToken token)`
    `SAMLHolderOfKeyHandler(SAMLToken token, Duration duration)`

  - ### Method Summary

    - ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

      `buildSignature, handleOutbound`

    - ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

      `close, dumpMessage, getHeaders, handleFault, handleInbound, handleMessage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLHolderOfKeyHandler

          public SAMLHolderOfKeyHandler()

    - #### SAMLHolderOfKeyHandler

          public SAMLHolderOfKeyHandler(SAMLToken token)

    - #### SAMLHolderOfKeyHandler

          public SAMLHolderOfKeyHandler(SAMLToken token,
                                        Duration duration)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.